Bug 1026953 - Bulk consumer fetching seems slow for a small number of systems.
Bulk consumer fetching seems slow for a small number of systems.
Status: CLOSED WONTFIX
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Poteat
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 12:39 EST by Justin Sherrill
Modified: 2015-05-14 10:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-07 12:13:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-11-05 12:39:26 EST
Description of problem:

When using the bulk systems fetching:

/candlepin/consumers/?uuid=cec277b7-bf62-4f81-806f-91ccddbf1383&uuid=cb6b7ebb-7696-4bf3-97fa-aa697f35887c&uuid=5758cb8f-8404-410c-890f-405bf9312f26&uuid=e3bdea6b-c630-4380-a695-7b7c93cb9165&uuid=c762ef86-1f8e-493c-baf7-957831d13507&uuid=1da8d9b3-7509-48af-b5f4-5ce006974a71&uuid=685c8846-1d05-4a22-b004-84affa483e1a&uuid=fd5dc468-df1f-4cd9-8cfe-85181169daf2&uuid=fd74b2f1-8782-4923-9560-63b35720cac6
              
When using the bulk api Candlepin seems to take around 3.5 seconds on my system no matter if i specify 1, 25, 100, or 180 ids.  

Fetching a single system by itself:

/candlepin/consumers/cec277b7-bf62-4f81-806f-91ccddbf1383

only takes 0.8 seconds in my testing.  So for about 25 systems, its actually one second faster to fetch them all individually than in bulk.

Version-Release number of selected component (if applicable):
0.8.13-1.el6.noarch


How reproducible:
Always

Steps to Reproduce:
1.  Bulk fetch ~25 systems

Actual results:
Slower than fetching them all individually

Expected results:
Should be faster than fetching all individually
Comment 1 Justin Sherrill 2013-11-05 12:40:57 EST
On my test system I had about ~230 consumers.
Comment 2 William Poteat 2013-12-16 15:07:56 EST
Running the above scenarios against candlepin using the rspec infrastructure:

The same label as the above: 0.8.13-1.el6.noarch

25 consumers:
All at once  0.437865 sec
One at a time  1.495444 sec

50 consumers:
All at once  1.239333 sec
One at a time  3.026335 sec

100 consumers:
All at once  2.816281 sec
One at a time  6.005445 sec

Against current master branch:

25 consumers:
All at once  0.397801 sec
One at a time  1.561900 sec

50 consumers: 
All at once  0.731055 sec
One at a time  2.960606 sec

100 consumers:
All at once 1.405288 sec
One at a time  6.026481 sec



2 conclusions: This is not happening on the candlepin side.
The recent work has led to better response times for batch sets of data.
Comment 3 Bryan Kearney 2014-11-07 12:13:57 EST
Closing out the ol bugs. Please re-open if still an issue.

Note You need to log in before you can comment on or make changes to this bug.